Description

I've tracked down (one of?) the reason(s) for applying a tag being slow -- starting at the Workflow Run Manager a call is eventually
made to SQLQueryV8's getTagClassesForExecutionLSID, and the call therein to
NamedOntClass.createNamedOntClassFromURIs(tagURI, ontologyURI) is the expensive part, it takes about 260ms. Sean do you
know if that method can easily be sped up? An alternative might be to only (look up and) set a WorkflowRun's tags member variable
right before it's really needed, but this feels a little less clean.

History

#1 - 11/09/2009 06:48 PM - Derik Barseghian

See comment in r21462.

#2 - 11/10/2009 02:39 PM - Derik Barseghian

Fixed in r21473. Problem was repeated calls to Vector contains() in NamedOntModel.getNamedClasses() which is expensive. Changed to a TreeSet

so contains() calls are faster and sorting is free.

#3 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4539
